su (PAM) gotcha

Michal Jaegermann michal at harddata.com
Tue Jan 23 21:30:10 UTC 2007


On Tue, Jan 23, 2007 at 05:34:51PM -0300, Horst H. von Brand wrote:
> 
> Yes, I did clean up the *.rpmnew cruft (strangely, all the original and
> .rpmnew files cmp(1)ed equal, and had the same permissions).

Especially in a multilib situtation a lots of .rpmnew files may
show up which do not differ from what is already installed.
I use the following script to clean that up

#!/bin/sh
[ "$1" ] || {
    echo "at least one directory name is needed" >&2
    exit 1
}
IFS=''
while [ "$1" ] ; do
    cd "$1" || { echo "cannot change to $1" ; continue;  }
    find $1 -name '*.rpmnew' | while read -r f ; do
        o="${f%.rpmnew}"
        echo $f to $o
        cmp "$f" "$o" && \mv "$f" "$o"
    done
    shift
done

and I am checking what is left after such cleanup.

   Michal




More information about the fedora-test-list mailing list